<ion-content padding>
  <ion-tabs #myTabs>
    <ion-tab tab="login">
      <ion-grid>
        <ion-row>
          <ion-col></ion-col>
          <ion-col>Login</ion-col>
          <ion-col></ion-col>
        </ion-row>

        <form (ngSubmit)="logForm()">
          <ion-row>
            <ion-col>
              <ion-list>
                <ion-item>
                  <ion-input
                    required
                    type="text"
                    placeholder="Usuario ó Correo"
                    name="email"
                    [(ngModel)]="logInInfo.email"
                  ></ion-input>
                </ion-item>

                <ion-item>
                  <ion-input
                    required
                    size="large"
                    type="password"
                    placeholder="Contraseña"
                    name="pass"
                    [(ngModel)]="logInInfo.pass"
                  ></ion-input>
                </ion-item>
              </ion-list>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col col-12>
              <ion-button type="submit" expand="full" block>
                <b>Entrar</b>
              </ion-button>
            </ion-col>
          </ion-row>
        </form>

        <ion-row>
          <ion-col col-12>
            <ion-item>
              <ion-label>Recuerdame</ion-label>
              <ion-toggle
                checked="true"
                (ionChange)="rememberMe($event)"
              ></ion-toggle>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col col-12>
            <ion-button icon-start expand="full" (click)="loginGoogle()">
              <ion-icon name="logo-google"></ion-icon>
              <b>Google</b>
            </ion-button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col col-12>
            <ion-button icon-start expand="full" (click)="loginFacebook()">
              <ion-icon name="logo-facebook"></ion-icon>
              <b>Facebook</b>
            </ion-button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-tab>

    <ion-tab tab="regiter">
      <ion-grid>
        <ion-row>
          <ion-col></ion-col>
          <ion-col>Login</ion-col>
          <ion-col></ion-col>
        </ion-row>

        <form (ngSubmit)="registerForm()">
          <ion-row>
            <ion-col>
              <ion-list>
                <ion-item>
                  <ion-input
                    required
                    type="text"
                    placeholder="Nombre"
                    name="name"
                    [(ngModel)]="signUpInfo.name"
                  ></ion-input>
                </ion-item>

                <ion-item>
                  <ion-input
                    required
                    type="text"
                    placeholder="Correo"
                    name="email"
                    [(ngModel)]="signUpInfo.email"
                  ></ion-input>
                </ion-item>

                <ion-item>
                  <ion-input
                    required
                    size="large"
                    type="password"
                    placeholder="Contraceña"
                    name="pass"
                    [(ngModel)]="signUpInfo.pass"
                  ></ion-input>
                </ion-item>

                <ion-item>
                  <ion-input
                    required
                    size="large"
                    type="password"
                    placeholder="Repetir contraceña"
                    name="passRepeat"
                    [(ngModel)]="signUpInfo.passRepeat"
                  ></ion-input>
                </ion-item>
              </ion-list>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col col-12>
              <ion-item>
                <ion-label>Acepto Terminos y condiciones</ion-label>
                <ion-checkbox color="dark" checked="false"></ion-checkbox>
              </ion-item>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col col-12>
              <ion-button type="submit" expand="full" block>
                <b>Registrarse</b>
              </ion-button>
            </ion-col>
          </ion-row>
        </form>

        <ion-row>
          <ion-col col-12>
            <ion-button icon-start expand="full" (click)="loginGoogle()">
              <ion-icon name="logo-google"></ion-icon> <b>Google</b>
            </ion-button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col col-12>
            <ion-button icon-start expand="full" (click)="loginFacebook()">
              <ion-icon name="logo-facebook"></ion-icon><b>Facebook</b>
            </ion-button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-tab>

    <ion-tab-bar slot="bottom">
      <ion-tab-button tab="login">
        <ion-label>Entrar</ion-label>
        <ion-icon name="key"></ion-icon>
      </ion-tab-button>

      <ion-tab-button tab="regiter">
        <ion-label>Registrarse</ion-label>
        <ion-icon name="create"></ion-icon>
      </ion-tab-button>
    </ion-tab-bar>
  </ion-tabs>
</ion-content>
